numberAsHMS {oce} | R Documentation

## Convert a Numeric Time to Hour, Minute, and Second

### Description

Convert a Numeric Time to Hour, Minute, and Second

### Usage

    numberAsHMS(t, default = 0)

### Arguments

`t` | a vector of factors or character strings, in the format 1200 for 12:00, 0900 for 09:00, etc.
`default` | value to be used for the returned hour, minute and second if there is something wrong with the input value (e.g. its length exceeds 4 characters, or it contains non-numeric characters)

### Value

A list containing `hour`, `minute`, and `second`, the last of which is always zero.

### Author(s)

Dan Kelley

### See Also

Other things related to time: `ctimeToSeconds`, `julianCenturyAnomaly`, `julianDay`, `numberAsPOSIXct`, `secondsToCtime`, `unabbreviateYear`

### Examples

    t <- c("0900", "1234")
    numberAsHMS(t)

[Package oce version 0.9-22 Index]